/**
 * Decorator for a controller class to describe it in any generated
 * OpenAPI specification.
 *
 * @param name Name of the API used to categorise endpoints in this controller.
 */
export declare function api(name: string, description?: string): (classDefinition: Function) => void;
