/**
 * Decorator for an endpoint method that marks it as not requiring authentication.
 */
export declare function noAuth(classDefinition: Object | Function, methodName: string): void;
/**
 * Decorator for a controller class that marks it not requiring authentication for any of it's endpoints.
 */
export declare function controllerNoAuth(classDefinition: Function): void;
